classdef Configuration
    %CONFIGURATION Configuration for optimization
    
    properties (Constant = true)
        MIN_WIDTH = 12;
        MIN_LENGTH = 20;
        MAX_WIDTH = 14;
        MAX_LENGTH = 60;
        WIDTH_OPEN_ZONE = 5;
        LENGTH_OPEN_ZONE = 15;
        MIN_KINK = 10;
        % Variable formulation
        CENTER = 0;
        LINEWIDTH = 1;
        LOWERLINEWIDTH = 2;
        VECTOR = 3;
        MIDVECTOR = 4;
        UPDOWNVECTOR=5;
        
        % Initial strategies
        INIT_RANDOM = 0;
        INIT_UNIFORM = 1;
        INIT_OPENZONES = 2;
        INIT_CIRCLES = 3;
        INIT_SAMEORIENTATION = 4;
        INIT_ANGLEDOPENZONES = 5;
        
        TIKZ='../matlab2tikz/src';
    end
    
    methods
    end
        
end

         
