function ABC=createLinearShortestDistance(coordinates)
    numSiteCorners = size(coordinates, 1);
    % For each line, we want to compute the coefficients dist=ax+by+c
    ABC=zeros(numSiteCorners, 3);
    for i=1:numSiteCorners
        j =  mod(i, numSiteCorners) + 1;
        %if coordinates(j,1) == coordinates(i,1)
        %    % Vertical line
        %    x = coordinates(i,1);
        %    if coordinates(i,2) > coordinates(j,2)
        %        ABC(i,:) = [1,0,-x];
        %    elseif coordinates(j,2) > coordinates(i,2)
        %        ABC(i,:) = [-1,0,x];
        %    else
        %        error('Site line segment is a point, cannot create inequality');               
        %    end
        %else
        %end
        x1 = coordinates(i,1);
        y1 = coordinates(i,2);
        x2 = coordinates(j,1);
        y2 = coordinates(j,2);
        l = sqrt( (x2-x1)^2 + (y2-y1)^2 );
        a = (y2-y1)/l ;
        b = (x1-x2)/l ;
        c = (x2*y1-x1*y2)/l ;
        ABC(i,:) = [a,b,c];
    end
end