function siteObjectAxes = getSiteObjectAxes(siteCornerPoints)
    m=size(siteCornerPoints,1);
    siteObjectAxes = zeros(m,2);
    for i = 1:(m-1)
        siteObjectAxes(i,:) = siteCornerPoints((i+1),:) - siteCornerPoints(i,:);
    end
    siteObjectAxes(m,:) = siteCornerPoints(1,:) - siteCornerPoints(m,:);
end