function L= testLength(B, CONF)
    if isequal(CONF, Configuration.LINEWIDTH)
        x1 = B(1);
        y1 = B(2);
        x2 = B(3);
        y2 = B(4);
        w = B(5);
        kb = B(6);
        hb = B(7);
        hb=abs(hb);
        l = sqrt((x2-x1)^2 + (y2-y1)^2); %Length between the two given points
        beta = atan(hb/kb); %Angle of p1 corner point
        alpha = atan(hb/(1-kb)); %Angle of p2 corner point
        r = pi - beta - alpha; %Kink angle
        L = l*(sqrt(hb^2+kb^2)+sqrt(hb^2+(1-kb)^2)) - w/tan(r/2);
    elseif isequal(CONF, Configuration.LOWERLINEWIDTH)
        x1 = B(1);
        y1 = B(2);
        x2 = B(3);
        y2 = B(4);
        kb = B(6);
        hb = B(7);
        l = sqrt((x2-x1)^2 + (y2-y1)^2); %Length between the two given points
        L = l*(sqrt(hb^2+kb^2)+sqrt(hb^2+(1-kb)^2));
    elseif isequal(CONF, Configuration.VECTOR)
        vx1=B(3);
        vy1=B(4);
        vx2=B(5);
        vy2=B(6);
        v1=[vx1,vy1];
        v2=[vx2,vy2];
        L=norm(v1)+norm(v2);
    elseif isequal(CONF, Configuration.UPDOWNVECTOR)
        vx1=B(3);
        vy1=B(4);
        vx2=B(5);
        vy2=B(6);
        w=B(7);
        v1=[vx1,vy1];
        v2=[vx2,vy2];
        % Extra length
        n1 = [-vy1,vx1]/norm(v1);
        n2 = [-vy2,vx2]/norm(v2);
        midK= mean([n1;n2]);
        nK = midK/norm(midK);
        K = w/dot(n2,nK);
        E = dot(-n1,K*nK);

        % Building Length
        L=norm(v1)+norm(v2) - min(E,0);
        
    elseif isequal(CONF, Configuration.CENTER)
        
        
    end
end

