function cornerPoints=altCornerPoints(x,TRANSFORM, varargin)
    switch TRANSFORM
        case Configuration.CENTER
            cornerPoints=kinkedCornerPoints(x, varargin{:});
        case Configuration.LINEWIDTH
            cornerPoints=midLineCornerPoints(x, varargin{:});
        case Configuration.LOWERLINEWIDTH
            cornerPoints=kinkedAltVariables(x, varargin{:});
        case Configuration.VECTOR 
            cornerPoints=vectorCornerPoints(x,varargin{:});
        case Configuration.UPDOWNVECTOR 
            cornerPoints=vectorCornerPoints(x,varargin{:});
        case Configuration.MIDVECTOR
            cornerPoints=midVectorCornerPoints(x,varargin{:});
        otherwise
            error('Invalid variable configuration')
    end
end

