function CONVEX_HULL_SITE= getConvexHull(SITE)
% Get convex hull of polygon
    convHullIndices=convhull(SITE);
    % Ordered ccw, need cw
    convHullIndices = fliplr(convHullIndices')';
    CONVEX_HULL_SITE = zeros(length(convHullIndices)-1,2);
    for i=1:length(convHullIndices)-1
        % Don't include last index (same as first)
        CONVEX_HULL_SITE(i,:)=SITE(convHullIndices(i),:);
    end
end

