function normals=getHalfBuildingAxes(halfBuildingCorners)
    numAxes=size(halfBuildingCorners,1);
    axes=zeros(numAxes,2);
    for i=1:numAxes
        j = mod(i,numAxes)+1;
        axes(i,:) = (halfBuildingCorners(j,:)-halfBuildingCorners(i,:))/norm(halfBuildingCorners(j,:)-halfBuildingCorners(i,:));
    end
    normals = [-axes(:,2), axes(:,1)];
end