function [nMin,nMax]=minMaxNumberOfBuildings(siteArea)
    minBuildingArea = Configuration.MIN_WIDTH*Configuration.MIN_LENGTH ...
        + 2*Configuration.MIN_WIDTH*Configuration.WIDTH_OPEN_ZONE ...
        + 2*Configuration.MIN_LENGTH*Configuration.LENGTH_OPEN_ZONE;
    nMax = floor(siteArea/minBuildingArea);
    maxBuildingArea =  Configuration.MAX_WIDTH*Configuration.MAX_LENGTH ...
        + 2*Configuration.MAX_WIDTH*Configuration.WIDTH_OPEN_ZONE ...
        + 2*Configuration.MAX_LENGTH*Configuration.LENGTH_OPEN_ZONE;
    nMin = floor(siteArea/maxBuildingArea);
    if nMin < 2
        nMin = nMin + 1;
    end
end
