function f = objfun3d(x,SHOULD_TRANSFORM_VARIABLES)

    if SHOULD_TRANSFORM_VARIABLES == Configuration.MIDVECTOR
        f = -totalAreaMidVector(x);
    else
        f = -totalArea(x);
    end
end

function a=totalArea(x)
    a = 0;
    for i=1:size(x,1)
        w = x(i,3);
        l = x(i,4);
        r = x(i,7);
        h = x(i,8);
        a = a + h*(l*w + w^2/tan(r/2));       
    end
end

function a=totalAreaMidVector(x)
    a=0;
    for i=1:size(x,1)
        x1=x(i,1);
        y1=x(i,2);
        vx1=x(i,3);
        vy1=x(i,4);
        vx2=x(i,5);
        vy2=x(i,6);
        w=x(i,7);
        v1=[vx1,vy1];
        v2=[vx2,vy2];
        h=x(i,8);
        a = a + h*w*(norm(v1)+norm(v2));
    end
end


