function plotCircleSolution(x, SITE)
    figure(1)
    patch('Faces', 1:length(SITE), 'Vertices',SITE,'EdgeColor','black','FaceColor','none','LineWidth',1);
    colors =  ['r'; 'g'; 'b'; 'y'; 'm'; 'c'; 'r'; 'g'; 'b'; 'y'; 'm'; 'c'; 'r'; 'g'; 'b'; 'y'; 'm'; 'c'; 'r'; 'g'; 'b'; 'y'; 'm'; 'c'];
    numCircs = size(x,1);
    for i=1:numCircs
        rectangle('Position',[x(i,1)-x(i,3),x(i,2)-x(i,3),2*x(i,3),2*x(i,3)], 'Curvature', [1,1], 'FaceColor', colors(i));
    end
    axis equal;
    alpha(0.7);

end
