function site=selectedSite(seed)
    if seed==142
       site=  [
           10.0000   10.0000;
           86.6100   83.0500;
           60.3400  111.2000;
          106.1000  150.1000;
          133.8000  121.4000;
          119.3000   88.0300;
          106.1000   50.5000;
           61.2400  -21.2600
       ];
       return;
    end
    
    %test = [10 0; 20 0; 30 10; 30 20; 20 30; 10 30; 0 20; 0 10];
    
    [site,id]=randomRealSite(seed);
    %site=forn;

end


function site=squareSite(width)
    site=[0 0; width 0; width width; 0 width];
end

function [site,id]=randomRealSite(seed)
    siteStruct = jsondecode(fileread('trondheim_nonconvex_sizes_5_10_at_6_3_2018.json'));
    siteMap = containers.Map(fieldnames(siteStruct), struct2cell(siteStruct));
    idKeys = siteMap.keys;
    rng(seed);
    randKeyIndex = 1 + floor(length(idKeys)*rand(1));
    key = idKeys(randKeyIndex);
    id = char(key);
    disp(strcat('Site selected: ',id))
    site = siteMap(id);
end