function zones=siteHeightZones(site, siteid)
    switch siteid
        case 41
            % Enlarge site
            %s41(2:7,:)=s41(2:7,:)*1.2;
            s41z1=[
                site(8:end,:);
                site(1:2,:)
            ];
            s41z2=site(2:6,:);
            s41z3=[
                site(6:8,:);
                site(2,:)
            ];
            zones={s41z1;s41z2;s41z3};
        case 124
            s124z1=site(2:5,:);
            s124z2=site(5:end,:);
            s124z3=[
                site(end,:);
                site(1:2,:);
                site(5,:);
            ];
            zones={s124z1; s124z2; s124z3};
        case 24
            if polygonArea(site) < 10000
               error('Not large site'); 
            end
            % Large site
            z1=site(1:4,:);
            z2=[site(1,:);
                site(4,:);
                site(end,:)
            ];
            z3=site(4:end,:);
            zones={z1;z2;z3};
        otherwise
            error('No height zones defined for site')
    end
    
end

